## org.openni
Interface OpenNI.DeviceDisconnectedListener

Enclosing class:
  OpenNI

    public static interface OpenNI.DeviceDisconnectedListener

The OpenNI.DeviceDisconnectedListener interface provides a means of registering for, and responding to when a device is disconnected. onDeviceDisconnected is called when a device is removed from the system. Note that once a device is removed, if it was opened by a `Device` object, that object can no longer be used to access the device, even if it was reconnected. Once a device was reconnected, `Device.open(String)` should be called again in order to use this device. To use this class, you should write a new class that inherits from it, and override the onDeviceDisconnected method. Once you instantiate your class, use the `OpenNI.addDeviceDisconnectedListener(org.openni.OpenNI.DeviceDisconnectedListener)` function to add your listener object to OpenNI's list of listeners. Your handler function will then be called whenever the event occurs. A `OpenNI.removeDeviceDisconnectedListener(org.openni.OpenNI.DeviceDisconnectedListener)` function is also provided, if you want to have your class stop listening to these events for any reason.

Method Summary
`void` `onDeviceDisconnected(DeviceInfo info)` Callback function for the onDeviceDisconnected event.

Method Detail

### onDeviceDisconnected

    void onDeviceDisconnected(DeviceInfo info)

  Callback function for the onDeviceDisconnected event. This function will be called whenever this event occurs. When this happens, a pointer to the DeviceInfo object for the newly disconnected device will be supplied. Note that once a device is removed, if it was opened by a `Device` object, that object can no longer be used to access the device, even if it was reconnected. Once a device was reconnected, `Device.open(String)` should be called again in order to use this device.